org.wildfly.swarm.config.undertow.configuration.mod_cluster.balancer

## Class Node<T extends Node<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.mod_cluster.balancer.Node<T>

-     public class Node<T extends Node<T>>
      extends Object

  Runtime representation of a mod_cluster node

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Node.NodeResources` Child mutators for Node

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `alias(String value)` The nodes aliases
    `List<String>` | `aliases()` The nodes aliases
    `T` | `aliases(List<String> value)` The nodes aliases
    `T` | `aliases(String... args)` The nodes aliases
    `Integer` | `cacheConnections()` The number of connections to keep alive indefinitely
    `T` | `cacheConnections(Integer value)` The number of connections to keep alive indefinitely
    `T` | `context(Context value)` Add the Context object to the list of subresources
    `T` | `context(ContextSupplier supplier)` Install a supplied Context object to the list of subresources
    `T` | `context(String childKey)` Create and configure a Context object to the list of subresources
    `T` | `context(String childKey, ContextConsumer consumer)` Create and configure a Context object to the list of subresources
    `T` | `contexts(List<Context> value)` Add all Context objects to this subresource
    `Integer` | `elected()` The elected count
    `T` | `elected(Integer value)` The elected count
    `Boolean` | `flushPackets()` If received data should be immediately flushed
    `T` | `flushPackets(Boolean value)` If received data should be immediately flushed
    `String` | `getKey()`
    `Integer` | `load()` The current load of this node
    `T` | `load(Integer value)` The current load of this node
    `String` | `loadBalancingGroup()` The load balancing group this node belongs to
    `T` | `loadBalancingGroup(String value)` The load balancing group this node belongs to
    `Integer` | `maxConnections()` The maximum number of connections per IO thread
    `T` | `maxConnections(Integer value)` The maximum number of connections per IO thread
    `Integer` | `openConnections()` The current number of open connections
    `T` | `openConnections(Integer value)` The current number of open connections
    `Integer` | `ping()` The nodes ping
    `T` | `ping(Integer value)` The nodes ping
    `Boolean` | `queueNewRequests()` If a request is received and there is no worker immediately available should it be queued
    `T` | `queueNewRequests(Boolean value)` If a request is received and there is no worker immediately available should it be queued
    `Long` | `read()` The number of bytes read from the node
    `T` | `read(Long value)` The number of bytes read from the node
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `requestQueueSize()` The size of the request queue
    `T` | `requestQueueSize(Integer value)` The size of the request queue
    `String` | `status()` The current status of this node
    `T` | `status(String value)` The current status of this node
    `Node.NodeResources` | `subresources()`
    `Integer` | `timeout()` The request timeout
    `T` | `timeout(Integer value)` The request timeout
    `Long` | `ttl()` The time connections will stay alive with no requests before being closed, if the number of connections is larger than cache-connections
    `T` | `ttl(Long value)` The time connections will stay alive with no requests before being closed, if the number of connections is larger than cache-connections
    `String` | `uri()` The URI that the load balancer uses to connect to the node
    `T` | `uri(String value)` The URI that the load balancer uses to connect to the node
    `Long` | `written()` The number of bytes transferred to the node
    `T` | `written(Long value)` The number of bytes transferred to the node

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          public Node(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Node.NodeResources subresources()

    - #### contexts

          public T contexts(List<Context> value)

      Add all Context objects to this subresource
      Parameters:
        `value` - List of Context objects.
      Returns:
        this

    - #### context

          public T context(Context value)

      Add the Context object to the list of subresources
      Parameters:
        `value` - The Context to add
      Returns:
        this

    - #### context

          public T context(String childKey,
                           ContextConsumer consumer)

      Create and configure a Context object to the list of subresources
      Parameters:
        `key` - The key for the Context resource
        `config` - The ContextConsumer to use
      Returns:
        this

    - #### context

          public T context(String childKey)

      Create and configure a Context object to the list of subresources
      Parameters:
        `key` - The key for the Context resource
      Returns:
        this

    - #### context

          public T context(ContextSupplier supplier)

      Install a supplied Context object to the list of subresources

    - #### aliases

          public List<String> aliases()

      The nodes aliases

    - #### aliases

          public T aliases(List<String> value)

      The nodes aliases

    - #### alias

          public T alias(String value)

      The nodes aliases

    - #### aliases

          public T aliases(String... args)

      The nodes aliases

    - #### cacheConnections

          public Integer cacheConnections()

      The number of connections to keep alive indefinitely

    - #### cacheConnections

          public T cacheConnections(Integer value)

      The number of connections to keep alive indefinitely

    - #### elected

          public Integer elected()

      The elected count

    - #### elected

          public T elected(Integer value)

      The elected count

    - #### flushPackets

          public Boolean flushPackets()

      If received data should be immediately flushed

    - #### flushPackets

          public T flushPackets(Boolean value)

      If received data should be immediately flushed

    - #### load

          public Integer load()

      The current load of this node

    - #### load

          public T load(Integer value)

      The current load of this node

    - #### loadBalancingGroup

          public String loadBalancingGroup()

      The load balancing group this node belongs to

    - #### loadBalancingGroup

          public T loadBalancingGroup(String value)

      The load balancing group this node belongs to

    - #### maxConnections

          public Integer maxConnections()

      The maximum number of connections per IO thread

    - #### maxConnections

          public T maxConnections(Integer value)

      The maximum number of connections per IO thread

    - #### openConnections

          public Integer openConnections()

      The current number of open connections

    - #### openConnections

          public T openConnections(Integer value)

      The current number of open connections

    - #### ping

          public Integer ping()

      The nodes ping

    - #### ping

          public T ping(Integer value)

      The nodes ping

    - #### queueNewRequests

          public Boolean queueNewRequests()

      If a request is received and there is no worker immediately available should it be queued

    - #### queueNewRequests

          public T queueNewRequests(Boolean value)

      If a request is received and there is no worker immediately available should it be queued

    - #### read

          public Long read()

      The number of bytes read from the node

    - #### read

          public T read(Long value)

      The number of bytes read from the node

    - #### requestQueueSize

          public Integer requestQueueSize()

      The size of the request queue

    - #### requestQueueSize

          public T requestQueueSize(Integer value)

      The size of the request queue

    - #### status

          public String status()

      The current status of this node

    - #### status

          public T status(String value)

      The current status of this node

    - #### timeout

          public Integer timeout()

      The request timeout

    - #### timeout

          public T timeout(Integer value)

      The request timeout

    - #### ttl

          public Long ttl()

      The time connections will stay alive with no requests before being closed, if the number of connections is larger than cache-connections

    - #### ttl

          public T ttl(Long value)

      The time connections will stay alive with no requests before being closed, if the number of connections is larger than cache-connections

    - #### uri

          public String uri()

      The URI that the load balancer uses to connect to the node

    - #### uri

          public T uri(String value)

      The URI that the load balancer uses to connect to the node

    - #### written

          public Long written()

      The number of bytes transferred to the node

    - #### written

          public T written(Long value)

      The number of bytes transferred to the node

Copyright © 2017 JBoss by Red Hat. All rights reserved.